using System;

namespace PkmnLibSharp.Battling.Events
{
    public class TurnEndEvent : EventData
    {
        internal TurnEndEvent(EventDataKind kind, IntPtr ptr) : base(kind, ptr)
        {
        }

        protected override void DeletePtr()
        {
            Creaturelib.Generated.TurnEndEvent.Destruct(Ptr);
        }
    }
}